## org.eclipse.datatools.modelbase.sql.query.util
Class SQLQueryModelAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.datatools.modelbase.sql.query.util.SQLQueryModelAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory

Direct Known Subclasses:
  SQLQueryModelItemProviderAdapterFactory

    public class SQLQueryModelAdapterFactory

extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `SQLQueryModelPackage`

Constructor Summary
`SQLQueryModelAdapterFactory()` Creates an instance of the adapter factory.

Method Summary
`org.eclipse.emf.common.notify.Adapter` `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`.
`org.eclipse.emf.common.notify.Adapter` `createCallStatementAdapter()` Creates a new adapter for an object of class '`Call Statement`'.
`org.eclipse.emf.common.notify.Adapter` `createColumnNameAdapter()` Creates a new adapter for an object of class '`Column Name`'.
`org.eclipse.emf.common.notify.Adapter` `createCursorReferenceAdapter()` Creates a new adapter for an object of class '`Cursor Reference`'.
`org.eclipse.emf.common.notify.Adapter` `createEModelElementAdapter()` Creates a new adapter for an object of class '`EModel Element`'.
`org.eclipse.emf.common.notify.Adapter` `createENamedElementAdapter()` Creates a new adapter for an object of class '`ENamed Element`'.
`org.eclipse.emf.common.notify.Adapter` `createEObjectAdapter()` Creates a new adapter for the default case.
`org.eclipse.emf.common.notify.Adapter` `createGroupingAdapter()` Creates a new adapter for an object of class '`Grouping`'.
`org.eclipse.emf.common.notify.Adapter` `createGroupingExpressionAdapter()` Creates a new adapter for an object of class '`Grouping Expression`'.
`org.eclipse.emf.common.notify.Adapter` `createGroupingSetsAdapter()` Creates a new adapter for an object of class '`Grouping Sets`'.
`org.eclipse.emf.common.notify.Adapter` `createGroupingSetsElementAdapter()` Creates a new adapter for an object of class '`Grouping Sets Element`'.
`org.eclipse.emf.common.notify.Adapter` `createGroupingSetsElementExpressionAdapter()` Creates a new adapter for an object of class '`Grouping Sets Element Expression`'.
`org.eclipse.emf.common.notify.Adapter` `createGroupingSetsElementSublistAdapter()` Creates a new adapter for an object of class '`Grouping Sets Element Sublist`'.
`org.eclipse.emf.common.notify.Adapter` `createGroupingSpecificationAdapter()` Creates a new adapter for an object of class '`Grouping Specification`'.
`org.eclipse.emf.common.notify.Adapter` `createMergeInsertSpecificationAdapter()` Creates a new adapter for an object of class '`Merge Insert Specification`'.
`org.eclipse.emf.common.notify.Adapter` `createMergeOnConditionAdapter()` Creates a new adapter for an object of class '`Merge On Condition`'.
`org.eclipse.emf.common.notify.Adapter` `createMergeOperationSpecificationAdapter()` Creates a new adapter for an object of class '`Merge Operation Specification`'.
`org.eclipse.emf.common.notify.Adapter` `createMergeSourceTableAdapter()` Creates a new adapter for an object of class '`Merge Source Table`'.
`org.eclipse.emf.common.notify.Adapter` `createMergeTargetTableAdapter()` Creates a new adapter for an object of class '`Merge Target Table`'.
`org.eclipse.emf.common.notify.Adapter` `createMergeUpdateSpecificationAdapter()` Creates a new adapter for an object of class '`Merge Update Specification`'.
`org.eclipse.emf.common.notify.Adapter` `createOrderByOrdinalAdapter()` Creates a new adapter for an object of class '`Order By Ordinal`'.
`org.eclipse.emf.common.notify.Adapter` `createOrderByResultColumnAdapter()` Creates a new adapter for an object of class '`Order By Result Column`'.
`org.eclipse.emf.common.notify.Adapter` `createOrderBySpecificationAdapter()` Creates a new adapter for an object of class '`Order By Specification`'.
`org.eclipse.emf.common.notify.Adapter` `createOrderByValueExpressionAdapter()` Creates a new adapter for an object of class '`Order By Value Expression`'.
`org.eclipse.emf.common.notify.Adapter` `createPredicateAdapter()` Creates a new adapter for an object of class '`Predicate`'.
`org.eclipse.emf.common.notify.Adapter` `createPredicateBasicAdapter()` Creates a new adapter for an object of class '`Predicate Basic`'.
`org.eclipse.emf.common.notify.Adapter` `createPredicateBetweenAdapter()` Creates a new adapter for an object of class '`Predicate Between`'.
`org.eclipse.emf.common.notify.Adapter` `createPredicateExistsAdapter()` Creates a new adapter for an object of class '`Predicate Exists`'.
`org.eclipse.emf.common.notify.Adapter` `createPredicateInAdapter()` Creates a new adapter for an object of class '`Predicate In`'.
`org.eclipse.emf.common.notify.Adapter` `createPredicateInValueListAdapter()` Creates a new adapter for an object of class '`Predicate In Value List`'.
`org.eclipse.emf.common.notify.Adapter` `createPredicateInValueRowSelectAdapter()` Creates a new adapter for an object of class '`Predicate In Value Row Select`'.
`org.eclipse.emf.common.notify.Adapter` `createPredicateInValueSelectAdapter()` Creates a new adapter for an object of class '`Predicate In Value Select`'.
`org.eclipse.emf.common.notify.Adapter` `createPredicateIsNullAdapter()` Creates a new adapter for an object of class '`Predicate Is Null`'.
`org.eclipse.emf.common.notify.Adapter` `createPredicateLikeAdapter()` Creates a new adapter for an object of class '`Predicate Like`'.
`org.eclipse.emf.common.notify.Adapter` `createPredicateQuantifiedAdapter()` Creates a new adapter for an object of class '`Predicate Quantified`'.
`org.eclipse.emf.common.notify.Adapter` `createPredicateQuantifiedRowSelectAdapter()` Creates a new adapter for an object of class '`Predicate Quantified Row Select`'.
`org.eclipse.emf.common.notify.Adapter` `createPredicateQuantifiedValueSelectAdapter()` Creates a new adapter for an object of class '`Predicate Quantified Value Select`'.
`org.eclipse.emf.common.notify.Adapter` `createProcedureReferenceAdapter()` Creates a new adapter for an object of class '`Procedure Reference`'.
`org.eclipse.emf.common.notify.Adapter` `createQueryChangeStatementAdapter()` Creates a new adapter for an object of class '`Query Change Statement`'.
`org.eclipse.emf.common.notify.Adapter` `createQueryCombinedAdapter()` Creates a new adapter for an object of class '`Query Combined`'.
`org.eclipse.emf.common.notify.Adapter` `createQueryDeleteStatementAdapter()` Creates a new adapter for an object of class '`Query Delete Statement`'.
`org.eclipse.emf.common.notify.Adapter` `createQueryExpressionAdapter()` Creates a new adapter for an object of class '`Query Expression`'.
`org.eclipse.emf.common.notify.Adapter` `createQueryExpressionBodyAdapter()` Creates a new adapter for an object of class '`Query Expression Body`'.
`org.eclipse.emf.common.notify.Adapter` `createQueryExpressionRootAdapter()` Creates a new adapter for an object of class '`Query Expression Root`'.
`org.eclipse.emf.common.notify.Adapter` `createQueryInsertStatementAdapter()` Creates a new adapter for an object of class '`Query Insert Statement`'.
`org.eclipse.emf.common.notify.Adapter` `createQueryMergeStatementAdapter()` Creates a new adapter for an object of class '`Query Merge Statement`'.
`org.eclipse.emf.common.notify.Adapter` `createQueryNestedAdapter()` Creates a new adapter for an object of class '`Query Nested`'.
`org.eclipse.emf.common.notify.Adapter` `createQueryResultSpecificationAdapter()` Creates a new adapter for an object of class '`Query Result Specification`'.
`org.eclipse.emf.common.notify.Adapter` `createQuerySearchConditionAdapter()` Creates a new adapter for an object of class '`Query Search Condition`'.
`org.eclipse.emf.common.notify.Adapter` `createQuerySelectAdapter()` Creates a new adapter for an object of class '`Query Select`'.
`org.eclipse.emf.common.notify.Adapter` `createQuerySelectStatementAdapter()` Creates a new adapter for an object of class '`Query Select Statement`'.
`org.eclipse.emf.common.notify.Adapter` `createQueryStatementAdapter()` Creates a new adapter for an object of class '`Query Statement`'.
`org.eclipse.emf.common.notify.Adapter` `createQueryUpdateStatementAdapter()` Creates a new adapter for an object of class '`Query Update Statement`'.
`org.eclipse.emf.common.notify.Adapter` `createQueryValueExpressionAdapter()` Creates a new adapter for an object of class '`Query Value Expression`'.
`org.eclipse.emf.common.notify.Adapter` `createQueryValuesAdapter()` Creates a new adapter for an object of class '`Query Values`'.
`org.eclipse.emf.common.notify.Adapter` `createResultColumnAdapter()` Creates a new adapter for an object of class '`Result Column`'.
`org.eclipse.emf.common.notify.Adapter` `createResultTableAllColumnsAdapter()` Creates a new adapter for an object of class '`Result Table All Columns`'.
`org.eclipse.emf.common.notify.Adapter` `createSearchConditionAdapter()` Creates a new adapter for an object of class '`Search Condition`'.
`org.eclipse.emf.common.notify.Adapter` `createSearchConditionCombinedAdapter()` Creates a new adapter for an object of class '`Search Condition Combined`'.
`org.eclipse.emf.common.notify.Adapter` `createSearchConditionNestedAdapter()` Creates a new adapter for an object of class '`Search Condition Nested`'.
`org.eclipse.emf.common.notify.Adapter` `createSQLControlStatementAdapter()` Creates a new adapter for an object of class '`SQL Control Statement`'.
`org.eclipse.emf.common.notify.Adapter` `createSQLDataChangeStatementAdapter()` Creates a new adapter for an object of class '`SQL Data Change Statement`'.
`org.eclipse.emf.common.notify.Adapter` `createSQLDataStatementAdapter()` Creates a new adapter for an object of class '`SQL Data Statement`'.
`org.eclipse.emf.common.notify.Adapter` `createSQLObjectAdapter()` Creates a new adapter for an object of class '`SQL Object`'.
`org.eclipse.emf.common.notify.Adapter` `createSQLQueryObjectAdapter()` Creates a new adapter for an object of class '`SQL Query Object`'.
`org.eclipse.emf.common.notify.Adapter` `createSQLStatementAdapter()` Creates a new adapter for an object of class '`SQL Statement`'.
`org.eclipse.emf.common.notify.Adapter` `createSuperGroupAdapter()` Creates a new adapter for an object of class '`Super Group`'.
`org.eclipse.emf.common.notify.Adapter` `createSuperGroupElementAdapter()` Creates a new adapter for an object of class '`Super Group Element`'.
`org.eclipse.emf.common.notify.Adapter` `createSuperGroupElementExpressionAdapter()` Creates a new adapter for an object of class '`Super Group Element Expression`'.
`org.eclipse.emf.common.notify.Adapter` `createSuperGroupElementSublistAdapter()` Creates a new adapter for an object of class '`Super Group Element Sublist`'.
`org.eclipse.emf.common.notify.Adapter` `createTableCorrelationAdapter()` Creates a new adapter for an object of class '`Table Correlation`'.
`org.eclipse.emf.common.notify.Adapter` `createTableExpressionAdapter()` Creates a new adapter for an object of class '`Table Expression`'.
`org.eclipse.emf.common.notify.Adapter` `createTableFunctionAdapter()` Creates a new adapter for an object of class '`Table Function`'.
`org.eclipse.emf.common.notify.Adapter` `createTableInDatabaseAdapter()` Creates a new adapter for an object of class '`Table In Database`'.
`org.eclipse.emf.common.notify.Adapter` `createTableJoinedAdapter()` Creates a new adapter for an object of class '`Table Joined`'.
`org.eclipse.emf.common.notify.Adapter` `createTableNestedAdapter()` Creates a new adapter for an object of class '`Table Nested`'.
`org.eclipse.emf.common.notify.Adapter` `createTableQueryLateralAdapter()` Creates a new adapter for an object of class '`Table Query Lateral`'.
`org.eclipse.emf.common.notify.Adapter` `createTableReferenceAdapter()` Creates a new adapter for an object of class '`Table Reference`'.
`org.eclipse.emf.common.notify.Adapter` `createUpdatabilityExpressionAdapter()` Creates a new adapter for an object of class '`Updatability Expression`'.
`org.eclipse.emf.common.notify.Adapter` `createUpdateAssignmentExpressionAdapter()` Creates a new adapter for an object of class '`Update Assignment Expression`'.
`org.eclipse.emf.common.notify.Adapter` `createUpdateOfColumnAdapter()` Creates a new adapter for an object of class '`Update Of Column`'.
`org.eclipse.emf.common.notify.Adapter` `createUpdateSourceAdapter()` Creates a new adapter for an object of class '`Update Source`'.
`org.eclipse.emf.common.notify.Adapter` `createUpdateSourceExprListAdapter()` Creates a new adapter for an object of class '`Update Source Expr List`'.
`org.eclipse.emf.common.notify.Adapter` `createUpdateSourceQueryAdapter()` Creates a new adapter for an object of class '`Update Source Query`'.
`org.eclipse.emf.common.notify.Adapter` `createValueExpressionAdapter()` Creates a new adapter for an object of class '`Value Expression`'.
`org.eclipse.emf.common.notify.Adapter` `createValueExpressionAtomicAdapter()` Creates a new adapter for an object of class '`Value Expression Atomic`'.
`org.eclipse.emf.common.notify.Adapter` `createValueExpressionCaseAdapter()` Creates a new adapter for an object of class '`Value Expression Case`'.
`org.eclipse.emf.common.notify.Adapter` `createValueExpressionCaseElseAdapter()` Creates a new adapter for an object of class '`Value Expression Case Else`'.
`org.eclipse.emf.common.notify.Adapter` `createValueExpressionCaseSearchAdapter()` Creates a new adapter for an object of class '`Value Expression Case Search`'.
`org.eclipse.emf.common.notify.Adapter` `createValueExpressionCaseSearchContentAdapter()` Creates a new adapter for an object of class '`Value Expression Case Search Content`'.
`org.eclipse.emf.common.notify.Adapter` `createValueExpressionCaseSimpleAdapter()` Creates a new adapter for an object of class '`Value Expression Case Simple`'.
`org.eclipse.emf.common.notify.Adapter` `createValueExpressionCaseSimpleContentAdapter()` Creates a new adapter for an object of class '`Value Expression Case Simple Content`'.
`org.eclipse.emf.common.notify.Adapter` `createValueExpressionCastAdapter()` Creates a new adapter for an object of class '`Value Expression Cast`'.
`org.eclipse.emf.common.notify.Adapter` `createValueExpressionColumnAdapter()` Creates a new adapter for an object of class '`Value Expression Column`'.
`org.eclipse.emf.common.notify.Adapter` `createValueExpressionCombinedAdapter()` Creates a new adapter for an object of class '`Value Expression Combined`'.
`org.eclipse.emf.common.notify.Adapter` `createValueExpressionDefaultValueAdapter()` Creates a new adapter for an object of class '`Value Expression Default Value`'.
`org.eclipse.emf.common.notify.Adapter` `createValueExpressionFunctionAdapter()` Creates a new adapter for an object of class '`Value Expression Function`'.
`org.eclipse.emf.common.notify.Adapter` `createValueExpressionLabeledDurationAdapter()` Creates a new adapter for an object of class '`Value Expression Labeled Duration`'.
`org.eclipse.emf.common.notify.Adapter` `createValueExpressionNestedAdapter()` Creates a new adapter for an object of class '`Value Expression Nested`'.
`org.eclipse.emf.common.notify.Adapter` `createValueExpressionNullValueAdapter()` Creates a new adapter for an object of class '`Value Expression Null Value`'.
`org.eclipse.emf.common.notify.Adapter` `createValueExpressionRowAdapter()` Creates a new adapter for an object of class '`Value Expression Row`'.
`org.eclipse.emf.common.notify.Adapter` `createValueExpressionScalarSelectAdapter()` Creates a new adapter for an object of class '`Value Expression Scalar Select`'.
`org.eclipse.emf.common.notify.Adapter` `createValueExpressionSimpleAdapter()` Creates a new adapter for an object of class '`Value Expression Simple`'.
`org.eclipse.emf.common.notify.Adapter` `createValueExpressionVariableAdapter()` Creates a new adapter for an object of class '`Value Expression Variable`'.
`org.eclipse.emf.common.notify.Adapter` `createValuesRowAdapter()` Creates a new adapter for an object of class '`Values Row`'.
`org.eclipse.emf.common.notify.Adapter` `createWithTableReferenceAdapter()` Creates a new adapter for an object of class '`With Table Reference`'.
`org.eclipse.emf.common.notify.Adapter` `createWithTableSpecificationAdapter()` Creates a new adapter for an object of class '`With Table Specification`'.
`boolean` `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object.

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adapt, adapt, adaptAllNew, adaptNew`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLQueryModelAdapterFactory

    public SQLQueryModelAdapterFactory()

  Creates an instance of the adapter factory.

Method Detail

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Returns:
    whether this factory is applicable for the type of the object.

### createAdapter

    public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

  Creates an adapter for the `target`.

  Overrides:
    `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.

### createQueryStatementAdapter

    public org.eclipse.emf.common.notify.Adapter createQueryStatementAdapter()

  Creates a new adapter for an object of class '`Query Statement`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `QueryStatement`

### createQueryDeleteStatementAdapter

    public org.eclipse.emf.common.notify.Adapter createQueryDeleteStatementAdapter()

  Creates a new adapter for an object of class '`Query Delete Statement`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `QueryDeleteStatement`

### createQueryInsertStatementAdapter

    public org.eclipse.emf.common.notify.Adapter createQueryInsertStatementAdapter()

  Creates a new adapter for an object of class '`Query Insert Statement`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `QueryInsertStatement`

### createQuerySelectStatementAdapter

    public org.eclipse.emf.common.notify.Adapter createQuerySelectStatementAdapter()

  Creates a new adapter for an object of class '`Query Select Statement`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `QuerySelectStatement`

### createQueryUpdateStatementAdapter

    public org.eclipse.emf.common.notify.Adapter createQueryUpdateStatementAdapter()

  Creates a new adapter for an object of class '`Query Update Statement`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `QueryUpdateStatement`

### createUpdateAssignmentExpressionAdapter

    public org.eclipse.emf.common.notify.Adapter createUpdateAssignmentExpressionAdapter()

  Creates a new adapter for an object of class '`Update Assignment Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `UpdateAssignmentExpression`

### createCursorReferenceAdapter

    public org.eclipse.emf.common.notify.Adapter createCursorReferenceAdapter()

  Creates a new adapter for an object of class '`Cursor Reference`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CursorReference`

### createQuerySearchConditionAdapter

    public org.eclipse.emf.common.notify.Adapter createQuerySearchConditionAdapter()

  Creates a new adapter for an object of class '`Query Search Condition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `QuerySearchCondition`

### createQueryExpressionBodyAdapter

    public org.eclipse.emf.common.notify.Adapter createQueryExpressionBodyAdapter()

  Creates a new adapter for an object of class '`Query Expression Body`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `QueryExpressionBody`

### createQueryValueExpressionAdapter

    public org.eclipse.emf.common.notify.Adapter createQueryValueExpressionAdapter()

  Creates a new adapter for an object of class '`Query Value Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `QueryValueExpression`

### createQueryExpressionRootAdapter

    public org.eclipse.emf.common.notify.Adapter createQueryExpressionRootAdapter()

  Creates a new adapter for an object of class '`Query Expression Root`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `QueryExpressionRoot`

### createValuesRowAdapter

    public org.eclipse.emf.common.notify.Adapter createValuesRowAdapter()

  Creates a new adapter for an object of class '`Values Row`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValuesRow`

### createQueryValuesAdapter

    public org.eclipse.emf.common.notify.Adapter createQueryValuesAdapter()

  Creates a new adapter for an object of class '`Query Values`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `QueryValues`

### createTableReferenceAdapter

    public org.eclipse.emf.common.notify.Adapter createTableReferenceAdapter()

  Creates a new adapter for an object of class '`Table Reference`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TableReference`

### createTableExpressionAdapter

    public org.eclipse.emf.common.notify.Adapter createTableExpressionAdapter()

  Creates a new adapter for an object of class '`Table Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TableExpression`

### createTableJoinedAdapter

    public org.eclipse.emf.common.notify.Adapter createTableJoinedAdapter()

  Creates a new adapter for an object of class '`Table Joined`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TableJoined`

### createWithTableSpecificationAdapter

    public org.eclipse.emf.common.notify.Adapter createWithTableSpecificationAdapter()

  Creates a new adapter for an object of class '`With Table Specification`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `WithTableSpecification`

### createPredicateAdapter

    public org.eclipse.emf.common.notify.Adapter createPredicateAdapter()

  Creates a new adapter for an object of class '`Predicate`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Predicate`

### createSearchConditionCombinedAdapter

    public org.eclipse.emf.common.notify.Adapter createSearchConditionCombinedAdapter()

  Creates a new adapter for an object of class '`Search Condition Combined`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SearchConditionCombined`

### createOrderByValueExpressionAdapter

    public org.eclipse.emf.common.notify.Adapter createOrderByValueExpressionAdapter()

  Creates a new adapter for an object of class '`Order By Value Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `OrderByValueExpression`

### createQueryCombinedAdapter

    public org.eclipse.emf.common.notify.Adapter createQueryCombinedAdapter()

  Creates a new adapter for an object of class '`Query Combined`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `QueryCombined`

### createQuerySelectAdapter

    public org.eclipse.emf.common.notify.Adapter createQuerySelectAdapter()

  Creates a new adapter for an object of class '`Query Select`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `QuerySelect`

### createGroupingSpecificationAdapter

    public org.eclipse.emf.common.notify.Adapter createGroupingSpecificationAdapter()

  Creates a new adapter for an object of class '`Grouping Specification`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GroupingSpecification`

### createQueryResultSpecificationAdapter

    public org.eclipse.emf.common.notify.Adapter createQueryResultSpecificationAdapter()

  Creates a new adapter for an object of class '`Query Result Specification`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `QueryResultSpecification`

### createResultTableAllColumnsAdapter

    public org.eclipse.emf.common.notify.Adapter createResultTableAllColumnsAdapter()

  Creates a new adapter for an object of class '`Result Table All Columns`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ResultTableAllColumns`

### createResultColumnAdapter

    public org.eclipse.emf.common.notify.Adapter createResultColumnAdapter()

  Creates a new adapter for an object of class '`Result Column`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ResultColumn`

### createPredicateBasicAdapter

    public org.eclipse.emf.common.notify.Adapter createPredicateBasicAdapter()

  Creates a new adapter for an object of class '`Predicate Basic`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PredicateBasic`

### createPredicateQuantifiedAdapter

    public org.eclipse.emf.common.notify.Adapter createPredicateQuantifiedAdapter()

  Creates a new adapter for an object of class '`Predicate Quantified`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PredicateQuantified`

### createPredicateBetweenAdapter

    public org.eclipse.emf.common.notify.Adapter createPredicateBetweenAdapter()

  Creates a new adapter for an object of class '`Predicate Between`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PredicateBetween`

### createPredicateExistsAdapter

    public org.eclipse.emf.common.notify.Adapter createPredicateExistsAdapter()

  Creates a new adapter for an object of class '`Predicate Exists`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PredicateExists`

### createPredicateInAdapter

    public org.eclipse.emf.common.notify.Adapter createPredicateInAdapter()

  Creates a new adapter for an object of class '`Predicate In`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PredicateIn`

### createPredicateLikeAdapter

    public org.eclipse.emf.common.notify.Adapter createPredicateLikeAdapter()

  Creates a new adapter for an object of class '`Predicate Like`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PredicateLike`

### createPredicateIsNullAdapter

    public org.eclipse.emf.common.notify.Adapter createPredicateIsNullAdapter()

  Creates a new adapter for an object of class '`Predicate Is Null`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PredicateIsNull`

### createPredicateQuantifiedValueSelectAdapter

    public org.eclipse.emf.common.notify.Adapter createPredicateQuantifiedValueSelectAdapter()

  Creates a new adapter for an object of class '`Predicate Quantified Value Select`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PredicateQuantifiedValueSelect`

### createPredicateQuantifiedRowSelectAdapter

    public org.eclipse.emf.common.notify.Adapter createPredicateQuantifiedRowSelectAdapter()

  Creates a new adapter for an object of class '`Predicate Quantified Row Select`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PredicateQuantifiedRowSelect`

### createPredicateInValueSelectAdapter

    public org.eclipse.emf.common.notify.Adapter createPredicateInValueSelectAdapter()

  Creates a new adapter for an object of class '`Predicate In Value Select`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PredicateInValueSelect`

### createPredicateInValueListAdapter

    public org.eclipse.emf.common.notify.Adapter createPredicateInValueListAdapter()

  Creates a new adapter for an object of class '`Predicate In Value List`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PredicateInValueList`

### createPredicateInValueRowSelectAdapter

    public org.eclipse.emf.common.notify.Adapter createPredicateInValueRowSelectAdapter()

  Creates a new adapter for an object of class '`Predicate In Value Row Select`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PredicateInValueRowSelect`

### createValueExpressionSimpleAdapter

    public org.eclipse.emf.common.notify.Adapter createValueExpressionSimpleAdapter()

  Creates a new adapter for an object of class '`Value Expression Simple`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValueExpressionSimple`

### createValueExpressionColumnAdapter

    public org.eclipse.emf.common.notify.Adapter createValueExpressionColumnAdapter()

  Creates a new adapter for an object of class '`Value Expression Column`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValueExpressionColumn`

### createValueExpressionVariableAdapter

    public org.eclipse.emf.common.notify.Adapter createValueExpressionVariableAdapter()

  Creates a new adapter for an object of class '`Value Expression Variable`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValueExpressionVariable`

### createValueExpressionScalarSelectAdapter

    public org.eclipse.emf.common.notify.Adapter createValueExpressionScalarSelectAdapter()

  Creates a new adapter for an object of class '`Value Expression Scalar Select`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValueExpressionScalarSelect`

### createValueExpressionLabeledDurationAdapter

    public org.eclipse.emf.common.notify.Adapter createValueExpressionLabeledDurationAdapter()

  Creates a new adapter for an object of class '`Value Expression Labeled Duration`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValueExpressionLabeledDuration`

### createValueExpressionCaseAdapter

    public org.eclipse.emf.common.notify.Adapter createValueExpressionCaseAdapter()

  Creates a new adapter for an object of class '`Value Expression Case`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValueExpressionCase`

### createValueExpressionCastAdapter

    public org.eclipse.emf.common.notify.Adapter createValueExpressionCastAdapter()

  Creates a new adapter for an object of class '`Value Expression Cast`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValueExpressionCast`

### createValueExpressionNullValueAdapter

    public org.eclipse.emf.common.notify.Adapter createValueExpressionNullValueAdapter()

  Creates a new adapter for an object of class '`Value Expression Null Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValueExpressionNullValue`

### createValueExpressionDefaultValueAdapter

    public org.eclipse.emf.common.notify.Adapter createValueExpressionDefaultValueAdapter()

  Creates a new adapter for an object of class '`Value Expression Default Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValueExpressionDefaultValue`

### createValueExpressionFunctionAdapter

    public org.eclipse.emf.common.notify.Adapter createValueExpressionFunctionAdapter()

  Creates a new adapter for an object of class '`Value Expression Function`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValueExpressionFunction`

### createValueExpressionCombinedAdapter

    public org.eclipse.emf.common.notify.Adapter createValueExpressionCombinedAdapter()

  Creates a new adapter for an object of class '`Value Expression Combined`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValueExpressionCombined`

### createGroupingSetsAdapter

    public org.eclipse.emf.common.notify.Adapter createGroupingSetsAdapter()

  Creates a new adapter for an object of class '`Grouping Sets`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GroupingSets`

### createGroupingAdapter

    public org.eclipse.emf.common.notify.Adapter createGroupingAdapter()

  Creates a new adapter for an object of class '`Grouping`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Grouping`

### createGroupingSetsElementAdapter

    public org.eclipse.emf.common.notify.Adapter createGroupingSetsElementAdapter()

  Creates a new adapter for an object of class '`Grouping Sets Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GroupingSetsElement`

### createGroupingSetsElementSublistAdapter

    public org.eclipse.emf.common.notify.Adapter createGroupingSetsElementSublistAdapter()

  Creates a new adapter for an object of class '`Grouping Sets Element Sublist`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GroupingSetsElementSublist`

### createGroupingSetsElementExpressionAdapter

    public org.eclipse.emf.common.notify.Adapter createGroupingSetsElementExpressionAdapter()

  Creates a new adapter for an object of class '`Grouping Sets Element Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GroupingSetsElementExpression`

### createSuperGroupAdapter

    public org.eclipse.emf.common.notify.Adapter createSuperGroupAdapter()

  Creates a new adapter for an object of class '`Super Group`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SuperGroup`

### createGroupingExpressionAdapter

    public org.eclipse.emf.common.notify.Adapter createGroupingExpressionAdapter()

  Creates a new adapter for an object of class '`Grouping Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GroupingExpression`

### createSuperGroupElementAdapter

    public org.eclipse.emf.common.notify.Adapter createSuperGroupElementAdapter()

  Creates a new adapter for an object of class '`Super Group Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SuperGroupElement`

### createSuperGroupElementSublistAdapter

    public org.eclipse.emf.common.notify.Adapter createSuperGroupElementSublistAdapter()

  Creates a new adapter for an object of class '`Super Group Element Sublist`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SuperGroupElementSublist`

### createSuperGroupElementExpressionAdapter

    public org.eclipse.emf.common.notify.Adapter createSuperGroupElementExpressionAdapter()

  Creates a new adapter for an object of class '`Super Group Element Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SuperGroupElementExpression`

### createValueExpressionCaseSearchAdapter

    public org.eclipse.emf.common.notify.Adapter createValueExpressionCaseSearchAdapter()

  Creates a new adapter for an object of class '`Value Expression Case Search`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValueExpressionCaseSearch`

### createValueExpressionCaseSimpleAdapter

    public org.eclipse.emf.common.notify.Adapter createValueExpressionCaseSimpleAdapter()

  Creates a new adapter for an object of class '`Value Expression Case Simple`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValueExpressionCaseSimple`

### createValueExpressionCaseElseAdapter

    public org.eclipse.emf.common.notify.Adapter createValueExpressionCaseElseAdapter()

  Creates a new adapter for an object of class '`Value Expression Case Else`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValueExpressionCaseElse`

### createValueExpressionCaseSearchContentAdapter

    public org.eclipse.emf.common.notify.Adapter createValueExpressionCaseSearchContentAdapter()

  Creates a new adapter for an object of class '`Value Expression Case Search Content`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValueExpressionCaseSearchContent`

### createValueExpressionCaseSimpleContentAdapter

    public org.eclipse.emf.common.notify.Adapter createValueExpressionCaseSimpleContentAdapter()

  Creates a new adapter for an object of class '`Value Expression Case Simple Content`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValueExpressionCaseSimpleContent`

### createTableInDatabaseAdapter

    public org.eclipse.emf.common.notify.Adapter createTableInDatabaseAdapter()

  Creates a new adapter for an object of class '`Table In Database`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TableInDatabase`

### createTableFunctionAdapter

    public org.eclipse.emf.common.notify.Adapter createTableFunctionAdapter()

  Creates a new adapter for an object of class '`Table Function`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TableFunction`

### createSQLQueryObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createSQLQueryObjectAdapter()

  Creates a new adapter for an object of class '`SQL Query Object`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SQLQueryObject`

### createQueryChangeStatementAdapter

    public org.eclipse.emf.common.notify.Adapter createQueryChangeStatementAdapter()

  Creates a new adapter for an object of class '`Query Change Statement`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `QueryChangeStatement`

### createColumnNameAdapter

    public org.eclipse.emf.common.notify.Adapter createColumnNameAdapter()

  Creates a new adapter for an object of class '`Column Name`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ColumnName`

### createTableNestedAdapter

    public org.eclipse.emf.common.notify.Adapter createTableNestedAdapter()

  Creates a new adapter for an object of class '`Table Nested`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TableNested`

### createQueryMergeStatementAdapter

    public org.eclipse.emf.common.notify.Adapter createQueryMergeStatementAdapter()

  Creates a new adapter for an object of class '`Query Merge Statement`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `QueryMergeStatement`

### createSearchConditionNestedAdapter

    public org.eclipse.emf.common.notify.Adapter createSearchConditionNestedAdapter()

  Creates a new adapter for an object of class '`Search Condition Nested`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SearchConditionNested`

### createValueExpressionNestedAdapter

    public org.eclipse.emf.common.notify.Adapter createValueExpressionNestedAdapter()

  Creates a new adapter for an object of class '`Value Expression Nested`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValueExpressionNested`

### createValueExpressionAtomicAdapter

    public org.eclipse.emf.common.notify.Adapter createValueExpressionAtomicAdapter()

  Creates a new adapter for an object of class '`Value Expression Atomic`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValueExpressionAtomic`

### createOrderBySpecificationAdapter

    public org.eclipse.emf.common.notify.Adapter createOrderBySpecificationAdapter()

  Creates a new adapter for an object of class '`Order By Specification`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `OrderBySpecification`

### createOrderByOrdinalAdapter

    public org.eclipse.emf.common.notify.Adapter createOrderByOrdinalAdapter()

  Creates a new adapter for an object of class '`Order By Ordinal`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `OrderByOrdinal`

### createTableCorrelationAdapter

    public org.eclipse.emf.common.notify.Adapter createTableCorrelationAdapter()

  Creates a new adapter for an object of class '`Table Correlation`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TableCorrelation`

### createUpdateSourceAdapter

    public org.eclipse.emf.common.notify.Adapter createUpdateSourceAdapter()

  Creates a new adapter for an object of class '`Update Source`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `UpdateSource`

### createUpdateSourceExprListAdapter

    public org.eclipse.emf.common.notify.Adapter createUpdateSourceExprListAdapter()

  Creates a new adapter for an object of class '`Update Source Expr List`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `UpdateSourceExprList`

### createUpdateSourceQueryAdapter

    public org.eclipse.emf.common.notify.Adapter createUpdateSourceQueryAdapter()

  Creates a new adapter for an object of class '`Update Source Query`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `UpdateSourceQuery`

### createOrderByResultColumnAdapter

    public org.eclipse.emf.common.notify.Adapter createOrderByResultColumnAdapter()

  Creates a new adapter for an object of class '`Order By Result Column`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `OrderByResultColumn`

### createWithTableReferenceAdapter

    public org.eclipse.emf.common.notify.Adapter createWithTableReferenceAdapter()

  Creates a new adapter for an object of class '`With Table Reference`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `WithTableReference`

### createQueryNestedAdapter

    public org.eclipse.emf.common.notify.Adapter createQueryNestedAdapter()

  Creates a new adapter for an object of class '`Query Nested`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `QueryNested`

### createValueExpressionRowAdapter

    public org.eclipse.emf.common.notify.Adapter createValueExpressionRowAdapter()

  Creates a new adapter for an object of class '`Value Expression Row`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValueExpressionRow`

### createMergeTargetTableAdapter

    public org.eclipse.emf.common.notify.Adapter createMergeTargetTableAdapter()

  Creates a new adapter for an object of class '`Merge Target Table`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MergeTargetTable`

### createMergeSourceTableAdapter

    public org.eclipse.emf.common.notify.Adapter createMergeSourceTableAdapter()

  Creates a new adapter for an object of class '`Merge Source Table`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MergeSourceTable`

### createMergeOnConditionAdapter

    public org.eclipse.emf.common.notify.Adapter createMergeOnConditionAdapter()

  Creates a new adapter for an object of class '`Merge On Condition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MergeOnCondition`

### createMergeUpdateSpecificationAdapter

    public org.eclipse.emf.common.notify.Adapter createMergeUpdateSpecificationAdapter()

  Creates a new adapter for an object of class '`Merge Update Specification`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MergeUpdateSpecification`

### createMergeInsertSpecificationAdapter

    public org.eclipse.emf.common.notify.Adapter createMergeInsertSpecificationAdapter()

  Creates a new adapter for an object of class '`Merge Insert Specification`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MergeInsertSpecification`

### createMergeOperationSpecificationAdapter

    public org.eclipse.emf.common.notify.Adapter createMergeOperationSpecificationAdapter()

  Creates a new adapter for an object of class '`Merge Operation Specification`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MergeOperationSpecification`

### createUpdateOfColumnAdapter

    public org.eclipse.emf.common.notify.Adapter createUpdateOfColumnAdapter()

  Creates a new adapter for an object of class '`Update Of Column`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `UpdateOfColumn`

### createUpdatabilityExpressionAdapter

    public org.eclipse.emf.common.notify.Adapter createUpdatabilityExpressionAdapter()

  Creates a new adapter for an object of class '`Updatability Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `UpdatabilityExpression`

### createCallStatementAdapter

    public org.eclipse.emf.common.notify.Adapter createCallStatementAdapter()

  Creates a new adapter for an object of class '`Call Statement`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CallStatement`

### createProcedureReferenceAdapter

    public org.eclipse.emf.common.notify.Adapter createProcedureReferenceAdapter()

  Creates a new adapter for an object of class '`Procedure Reference`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ProcedureReference`

### createTableQueryLateralAdapter

    public org.eclipse.emf.common.notify.Adapter createTableQueryLateralAdapter()

  Creates a new adapter for an object of class '`Table Query Lateral`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TableQueryLateral`

### createEModelElementAdapter

    public org.eclipse.emf.common.notify.Adapter createEModelElementAdapter()

  Creates a new adapter for an object of class '`EModel Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EModelElement`

### createENamedElementAdapter

    public org.eclipse.emf.common.notify.Adapter createENamedElementAdapter()

  Creates a new adapter for an object of class '`ENamed Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ENamedElement`

### createSQLObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createSQLObjectAdapter()

  Creates a new adapter for an object of class '`SQL Object`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SQLObject`

### createSQLStatementAdapter

    public org.eclipse.emf.common.notify.Adapter createSQLStatementAdapter()

  Creates a new adapter for an object of class '`SQL Statement`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SQLStatement`

### createSQLDataStatementAdapter

    public org.eclipse.emf.common.notify.Adapter createSQLDataStatementAdapter()

  Creates a new adapter for an object of class '`SQL Data Statement`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SQLDataStatement`

### createSQLDataChangeStatementAdapter

    public org.eclipse.emf.common.notify.Adapter createSQLDataChangeStatementAdapter()

  Creates a new adapter for an object of class '`SQL Data Change Statement`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SQLDataChangeStatement`

### createSearchConditionAdapter

    public org.eclipse.emf.common.notify.Adapter createSearchConditionAdapter()

  Creates a new adapter for an object of class '`Search Condition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SearchCondition`

### createValueExpressionAdapter

    public org.eclipse.emf.common.notify.Adapter createValueExpressionAdapter()

  Creates a new adapter for an object of class '`Value Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValueExpression`

### createQueryExpressionAdapter

    public org.eclipse.emf.common.notify.Adapter createQueryExpressionAdapter()

  Creates a new adapter for an object of class '`Query Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `QueryExpression`

### createSQLControlStatementAdapter

    public org.eclipse.emf.common.notify.Adapter createSQLControlStatementAdapter()

  Creates a new adapter for an object of class '`SQL Control Statement`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SQLControlStatement`

### createEObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.